namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter04.Listing04_20
{
    public class TicTacToe // Deklaracja klasy TicTacToe.
    {
        public static void Main() // Deklaracja punktu wejścia do programu.
        {
            string input;

            // Pytanie do użytkownika pozwalające rozpocząć grę dla 1 lub 2 osób.
            System.Console.Write(
                "1 – Gra przeciwko komputerowi\n" +
                "2 – Gra przeciwko innemu graczowi\n" +
                "Wybierz:"
            );
            input = System.Console.ReadLine();

            if(input == "1")
                // Użytkownik wybrał grę przeciwko komputerowi.
                System.Console.WriteLine(
                    "Wybrano grę przeciwko komputerowi.");
            else
                // Domyślnie wybierana jest gra dla 2 graczy (nawet jeśli użytkownik nie wpisał 2).
                System.Console.WriteLine(
                    "Wybrano grę przeciwko drugiej osobie.");
        }
    }

}
